import { FloatNode, RgbNode, Vec3Node } from '../types';
export declare type StandardMaterialParameters = {
    readonly color: RgbNode;
    readonly emissive: RgbNode;
    readonly emissiveIntensity: FloatNode;
    readonly normal: Vec3Node | null;
};
export declare function standardMaterial(params: Partial<StandardMaterialParameters>): import("../types").RgbaNode;
