import { Vector3 } from 'three';
import { ConstantMat4Node, FloatNode, Mat4Node } from '../types';
export declare const identityTransform: ConstantMat4Node;
export declare function translateX(amount: FloatNode): Mat4Node;
export declare function translateY(amount: FloatNode): Mat4Node;
export declare function translateZ(amount: FloatNode): Mat4Node;
export declare function translateAxis(axis: Vector3, amount: FloatNode): Mat4Node;
export declare function combineTransforms(...transforms: Mat4Node[]): Mat4Node;
